<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* __string_template__b5680437faf43211f7ae321c5f460ade */
class __TwigTemplate_de4de93a748e34fe35aa4517e1def43d extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 7
        yield "
";
        // line 8
        $context["simple_rows"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("tabledrag_example.simple_form");
        // line 9
        $context["nested"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("tabledrag_example.parent_form");
        // line 10
        $context["roots_and_leaves"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("tabledrag_example.root_leaf_form");
        // line 11
        $context["reset_form"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("tabledrag_example.reset_form");
        // line 12
        yield "
";
        // line 13
        yield t("<p>Below are examples of Drupal 8's table element with 'tabledrag' functionality.</p>

<ol>
    <li><a href=@simple_rows>Simple Rows</a></li>
    <li><a href=@nested>Nested</a></li>
    <li><a href=@roots_and_leaves>Roots and Leaves</a></li>
</ol>

<p><a href=@reset_form>Reset Tablesort Sample Data</a></p>", array("@simple_rows" =>         // line 18
($context["simple_rows"] ?? null), "@nested" =>         // line 19
($context["nested"] ?? null), "@roots_and_leaves" =>         // line 20
($context["roots_and_leaves"] ?? null), "@reset_form" =>         // line 23
($context["reset_form"] ?? null), ));
        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "__string_template__b5680437faf43211f7ae321c5f460ade";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  70 => 23,  69 => 20,  68 => 19,  67 => 18,  58 => 13,  55 => 12,  53 => 11,  51 => 10,  49 => 9,  47 => 8,  44 => 7,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "__string_template__b5680437faf43211f7ae321c5f460ade", "");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 8, "trans" => 13);
        static $filters = array("escape" => 18);
        static $functions = array("path" => 8);

        try {
            $this->sandbox->checkSecurity(
                ['set', 'trans'],
                ['escape'],
                ['path'],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
