<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* @solo/partials/_footer-menu.html.twig */
class __TwigTemplate_3541648c02432b704b2ba407464b37fc extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 1
        yield "  ";
        if ((CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer_menu", [], "any", false, false, true, 1) || ($context["sm_show_icons"] ?? null))) {
            // line 2
            yield "    <!-- Start: Footer Menu -->
    <div id=\"footer-menu\" class=\"solo-outer lone footer-menu";
            // line 3
            ((($context["classes_footer_menu"] ?? null)) ? (yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, (" " . ($context["classes_footer_menu"] ?? null)), "html", null, true)) : (yield ""));
            yield "\" ";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["attributes_footer_menu"] ?? null), 3, $this->source), "html", null, true);
            yield ">
      <div id=\"footer-menu-inner\" class=\"solo-inner solo-col solo-col-1 footer-menu-inner\">

    ";
            // line 6
            if (($context["sm_show_icons"] ?? null)) {
                // line 7
                yield "      <!-- Start: Social Media -->
      <div class=\"solo-clear fade-inner footer-menu-first sm-icons";
                // line 8
                ((($context["sm_icon_size"] ?? null)) ? (yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, (" " . ($context["sm_icon_size"] ?? null)), "html", null, true)) : (yield ""));
                yield "\" ";
                if (($context["sm_icon_colors"] ?? null)) {
                    yield " style=\"fill: ";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["sm_icon_colors"] ?? null), 8, $this->source), "html", null, true);
                    yield "\" ";
                }
                yield ">
        ";
                // line 9
                $context["socials"] = ["facebook" => ["url" =>                 // line 10
($context["sm_icon_facebook"] ?? null)], "instagram" => ["url" =>                 // line 11
($context["sm_icon_instagram"] ?? null)], "twitter" => ["url" =>                 // line 12
($context["sm_icon_twitter"] ?? null)], "linkedin" => ["url" =>                 // line 13
($context["sm_icon_linkedin"] ?? null)], "youtube" => ["url" =>                 // line 14
($context["sm_icon_youtube"] ?? null)], "pinterest" => ["url" =>                 // line 15
($context["sm_icon_pinterest"] ?? null)], "snapchat" => ["url" =>                 // line 16
($context["sm_icon_snapchat"] ?? null)], "reddit" => ["url" =>                 // line 17
($context["sm_icon_reddit"] ?? null)], "tiktok" => ["url" =>                 // line 18
($context["sm_icon_tiktok"] ?? null)], "whatsapp" => ["url" =>                 // line 19
($context["sm_icon_whatsapp"] ?? null)], "telegram" => ["url" =>                 // line 20
($context["sm_icon_telegram"] ?? null)], "mastodon" => ["url" =>                 // line 21
($context["sm_icon_mastodon"] ?? null)], "drupal" => ["url" =>                 // line 22
($context["sm_icon_drupal"] ?? null)], "threads" => ["url" =>                 // line 23
($context["sm_icon_threads"] ?? null)], "rss" => ["url" =>                 // line 24
($context["sm_icon_rss"] ?? null)], "email" => ["url" =>                 // line 25
($context["sm_icon_email"] ?? null)]];
                // line 27
                yield "        ";
                $context['_parent'] = $context;
                $context['_seq'] = CoreExtension::ensureTraversable(($context["socials"] ?? null));
                $context['loop'] = [
                  'parent' => $context['_parent'],
                  'index0' => 0,
                  'index'  => 1,
                  'first'  => true,
                ];
                if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
                    $length = count($context['_seq']);
                    $context['loop']['revindex0'] = $length - 1;
                    $context['loop']['revindex'] = $length;
                    $context['loop']['length'] = $length;
                    $context['loop']['last'] = 1 === $length;
                }
                foreach ($context['_seq'] as $context["key"] => $context["social"]) {
                    // line 28
                    yield "          ";
                    if (CoreExtension::getAttribute($this->env, $this->source, $context["social"], "url", [], "any", false, false, true, 28)) {
                        // line 29
                        yield "            ";
                        if (($context["key"] == "email")) {
                            // line 30
                            yield "              <a href=\"mailto:";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["social"], "url", [], "any", false, false, true, 30), 30, $this->source), "html", null, true);
                            yield "\" title=\"";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, Twig\Extension\CoreExtension::capitalize($this->env->getCharset(), $this->sandbox->ensureToStringAllowed($context["key"], 30, $this->source)), "html", null, true);
                            yield "\" class=\"solo-clear ";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed($context["key"], 30, $this->source), "html", null, true);
                            yield "\">
            ";
                        } else {
                            // line 32
                            yield "              <a href=\"";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, $context["social"], "url", [], "any", false, false, true, 32), 32, $this->source), "html", null, true);
                            yield "\" title=\"";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, Twig\Extension\CoreExtension::capitalize($this->env->getCharset(), $this->sandbox->ensureToStringAllowed($context["key"], 32, $this->source)), "html", null, true);
                            yield "\" class=\"solo-clear ";
                            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed($context["key"], 32, $this->source), "html", null, true);
                            yield "\" target=\"_blank\">
            ";
                        }
                        // line 34
                        yield "                <span class=\"sm-icon\">
                  ";
                        // line 35
                        $context["svg_icon"] = (("@solo/partials/svg/_svg-" . $this->sandbox->ensureToStringAllowed($context["key"], 35, $this->source)) . ".html.twig");
                        // line 36
                        yield "                  ";
                        yield from                         $this->loadTemplate(($context["svg_icon"] ?? null), "@solo/partials/_footer-menu.html.twig", 36)->unwrap()->yield($context);
                        // line 37
                        yield "                </span>
              </a>
          ";
                    }
                    // line 40
                    yield "        ";
                    ++$context['loop']['index0'];
                    ++$context['loop']['index'];
                    $context['loop']['first'] = false;
                    if (isset($context['loop']['revindex0'], $context['loop']['revindex'])) {
                        --$context['loop']['revindex0'];
                        --$context['loop']['revindex'];
                        $context['loop']['last'] = 0 === $context['loop']['revindex0'];
                    }
                }
                $_parent = $context['_parent'];
                unset($context['_seq'], $context['key'], $context['social'], $context['_parent'], $context['loop']);
                $context = array_intersect_key($context, $_parent) + $_parent;
                // line 41
                yield "      </div>
      <!-- End: Social Media -->
    ";
            }
            // line 44
            yield "
        <!-- Start: Bottom Menu -->
        ";
            // line 46
            if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer_menu", [], "any", false, false, true, 46)) {
                // line 47
                yield "          <div class=\"solo-clear footer-menu-second fade-inner\">
            ";
                // line 48
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer_menu", [], "any", false, false, true, 48), 48, $this->source), "html", null, true);
                yield "
          </div>
          <!-- End: Bottom Menu -->
        ";
            }
            // line 52
            yield "      </div>
    </div>
    <!-- End: Footer Menu -->
  ";
        }
        // line 56
        yield "

";
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["page", "sm_show_icons", "classes_footer_menu", "attributes_footer_menu", "sm_icon_size", "sm_icon_colors", "sm_icon_facebook", "sm_icon_instagram", "sm_icon_twitter", "sm_icon_linkedin", "sm_icon_youtube", "sm_icon_pinterest", "sm_icon_snapchat", "sm_icon_reddit", "sm_icon_tiktok", "sm_icon_whatsapp", "sm_icon_telegram", "sm_icon_mastodon", "sm_icon_drupal", "sm_icon_threads", "sm_icon_rss", "sm_icon_email"]);        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "@solo/partials/_footer-menu.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  189 => 56,  183 => 52,  176 => 48,  173 => 47,  171 => 46,  167 => 44,  162 => 41,  148 => 40,  143 => 37,  140 => 36,  138 => 35,  135 => 34,  125 => 32,  115 => 30,  112 => 29,  109 => 28,  91 => 27,  89 => 25,  88 => 24,  87 => 23,  86 => 22,  85 => 21,  84 => 20,  83 => 19,  82 => 18,  81 => 17,  80 => 16,  79 => 15,  78 => 14,  77 => 13,  76 => 12,  75 => 11,  74 => 10,  73 => 9,  63 => 8,  60 => 7,  58 => 6,  50 => 3,  47 => 2,  44 => 1,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "@solo/partials/_footer-menu.html.twig", "/home/moorlandteam/public_html/drupaldev/themes/solo/partials/_footer-menu.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("if" => 1, "set" => 9, "for" => 27, "include" => 36);
        static $filters = array("escape" => 3, "capitalize" => 30);
        static $functions = array();

        try {
            $this->sandbox->checkSecurity(
                ['if', 'set', 'for', 'include'],
                ['escape', 'capitalize'],
                [],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
