<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* __string_template__4f7843c1de8f9ec15201aff92a5c8ca4 */
class __TwigTemplate_cb13542c98a1aa3046e5db94ba9bafed extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 6
        yield "
";
        // line 7
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->attachLibrary("core/drupal.dialog.ajax"), "html", null, true);
        yield "
";
        // line 8
        $context["simple_form"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.simple_form");
        // line 9
        $context["multistep_form"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.multistep_form");
        // line 10
        $context["input_demo"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.input_demo");
        // line 11
        $context["build_demo"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.build_demo");
        // line 12
        $context["container_demo"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.container_demo");
        // line 13
        $context["state_demo"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.state_demo");
        // line 14
        $context["vertical_tabs_demo"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.vertical_tabs_demo");
        // line 15
        $context["ajax_demo"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.ajax_color_demo");
        // line 16
        $context["ajax_add_more"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.ajax_add_more");
        // line 17
        $context["modal_form"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("form_api_example.modal_form", ["nojs" => "nojs"]);
        // line 18
        $context["block_admin"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("block.admin_display");
        // line 19
        yield "
";
        // line 20
        yield t("<p>Form examples to demonstrate common UI solutions using the Drupal Form API</p>
<p><a href=@simple_form>Simple form</a></p>
<p><a href=@multistep_form>Multistep form</a></p>
<p><a href=@input_demo>Common input elements</a></p>
<p><a href=@build_demo>Build form demo</a></p>
<p><a href=@container_demo>Container elements</a></p>
<p><a href=@state_demo>Form state binding</a></p>
<p><a href=@vertical_tabs_demo>Vertical tab elements</a></p>
<p><a href=@ajax_demo>Ajax form</a></p>
<p><a href=@ajax_add_more>Add more button</a></p>
<p><a href=@modal_form>Modal form</a></p>

<p>This module also provides a block, \"Example: Display a form\" that
    demonstrates how to display a form in a block. This same technique can be
    used whenever you need to display a form that is not the primary content of
    a page. You can enable it on your site <a href=@block_admin>using the
    block admin page</a>.</p>", array("@simple_form" =>         // line 22
($context["simple_form"] ?? null), "@multistep_form" =>         // line 23
($context["multistep_form"] ?? null), "@input_demo" =>         // line 24
($context["input_demo"] ?? null), "@build_demo" =>         // line 25
($context["build_demo"] ?? null), "@container_demo" =>         // line 26
($context["container_demo"] ?? null), "@state_demo" =>         // line 27
($context["state_demo"] ?? null), "@vertical_tabs_demo" =>         // line 28
($context["vertical_tabs_demo"] ?? null), "@ajax_demo" =>         // line 29
($context["ajax_demo"] ?? null), "@ajax_add_more" =>         // line 30
($context["ajax_add_more"] ?? null), "@modal_form" =>         // line 31
($context["modal_form"] ?? null), "@block_admin" =>         // line 36
($context["block_admin"] ?? null), ));
        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "__string_template__4f7843c1de8f9ec15201aff92a5c8ca4";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  103 => 36,  102 => 31,  101 => 30,  100 => 29,  99 => 28,  98 => 27,  97 => 26,  96 => 25,  95 => 24,  94 => 23,  93 => 22,  76 => 20,  73 => 19,  71 => 18,  69 => 17,  67 => 16,  65 => 15,  63 => 14,  61 => 13,  59 => 12,  57 => 11,  55 => 10,  53 => 9,  51 => 8,  47 => 7,  44 => 6,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "__string_template__4f7843c1de8f9ec15201aff92a5c8ca4", "");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 8, "trans" => 20);
        static $filters = array("escape" => 7);
        static $functions = array("attach_library" => 7, "path" => 8);

        try {
            $this->sandbox->checkSecurity(
                ['set', 'trans'],
                ['escape'],
                ['attach_library', 'path'],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
