<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* __string_template__d933d110f878fe2756c1fe4fd60c529b */
class __TwigTemplate_6ee2c687a810bab1d6e46fcd49857fe7 extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 7
        yield "
";
        // line 8
        $context["page_example_simple"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("page_example.simple");
        // line 9
        $context["page_example_arguments"] = $this->extensions['Drupal\Core\Template\TwigExtension']->getPath("page_example.arguments", ["first" => 23, "second" => 56]);
        // line 10
        yield "
";
        // line 11
        yield t("<p>The Page example module provides two pages, \"simple\" and \"arguments\".</p>
<p>The <a href=@page_example_simple>simple page</a> just returns a renderable array for display.</p>
<p>The <a href=@page_example_arguments>arguments page</a> takes two arguments and displays them, as in @page_example_arguments</p>", array("@page_example_simple" =>         // line 13
($context["page_example_simple"] ?? null), "@page_example_arguments" =>         // line 14
($context["page_example_arguments"] ?? null), "@page_example_arguments" => ($context["page_example_arguments"] ?? null), ));
        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "__string_template__d933d110f878fe2756c1fe4fd60c529b";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  58 => 14,  57 => 13,  54 => 11,  51 => 10,  49 => 9,  47 => 8,  44 => 7,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "__string_template__d933d110f878fe2756c1fe4fd60c529b", "");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 8, "trans" => 11);
        static $filters = array("escape" => 13);
        static $functions = array("path" => 8);

        try {
            $this->sandbox->checkSecurity(
                ['set', 'trans'],
                ['escape'],
                ['path'],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
